### Constructor

# Tsparql EndpointDBus new

#### Declaration [src]

    TrackerEndpointDBus*
    tracker_endpoint_dbus_new (
      TrackerSparqlConnection* sparql_connection,
      GDBusConnection* dbus_connection,
      const gchar* object_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Registers a Tracker endpoint object at `object_path` on `dbus_connection`. The default object path is `/org/freedesktop/Tracker3/Endpoint`.

#### Parameters

`sparql_connection`

  Type: `TrackerSparqlConnection`

  The `TrackerSparqlConnection` being made public.

  The data is owned by the caller of the function.

`dbus_connection`

  Type: `GDBusConnection`

  `GDBusConnection` to expose the DBus object over.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  The object path to use, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerEndpointDBus`

A `TrackerEndpointDBus` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.